import { SESClient } from '@aws-sdk/client-ses';
import type { ProviderInterface } from '../provider-interface.js';
import { ProviderType } from '../provider-type.js';
export declare class AWSSES implements ProviderInterface {
    client: SESClient;
    name: string;
    type: ProviderType;
    region?: string;
    constructor(region?: string);
    send(to: string, from: string, message: string, subject?: string): Promise<boolean>;
}
//# sourceMappingURL=aws-ses.d.ts.map