import { SNS } from '@aws-sdk/client-sns';
import type { ProviderInterface } from '../provider-interface.js';
import { ProviderType } from '../provider-type.js';
export declare class AWSSNS implements ProviderInterface {
    client: SNS;
    name: string;
    type: ProviderType;
    region?: string;
    constructor(region?: string);
    send(to: string, from: string, message: string): Promise<boolean>;
}
//# sourceMappingURL=aws-sns.d.ts.map