import firebase from 'firebase-admin';
import type { ProviderInterface } from '../provider-interface.js';
import { ProviderType } from '../provider-type.js';
export declare class FirebaseMessaging implements ProviderInterface {
    client: firebase.messaging.Messaging | undefined;
    name: string;
    type: ProviderType;
    private readonly cert;
    constructor(cert: string);
    send(to: string, from: string, message: string): Promise<boolean>;
}
//# sourceMappingURL=firebase-messaging.d.ts.map