import sendgrid from '@sendgrid/mail';
import type { ProviderInterface } from '../provider-interface.js';
import { ProviderType } from '../provider-type.js';
export declare class TwilioSendgrid implements ProviderInterface {
    client: sendgrid.MailService;
    name: string;
    type: ProviderType;
    private readonly apiKey;
    constructor(apiKey?: string);
    send(to: string, from: string, message: string, subject?: string): Promise<boolean>;
}
//# sourceMappingURL=twilio-sendgrid.d.ts.map