import twilio from 'twilio';
import type { ProviderInterface } from '../provider-interface.js';
import { ProviderType } from '../provider-type.js';
export declare class TwilioSMS implements ProviderInterface {
    name: string;
    type: ProviderType;
    accountSID: string;
    authToken: string;
    client: twilio.Twilio;
    constructor(accountSID?: string, authToken?: string);
    send(to: string, from: string, message: string, subject?: string): Promise<boolean>;
}
//# sourceMappingURL=twilio-sms.d.ts.map