/* eslint-disable @typescript-eslint/no-unsafe-argument */
export class TemplateText {
    constructor(text, format, language, properties) {
        this.text = '';
        this.format = '';
        this.language = '';
        this.properties = new Map();
        if (text !== undefined) {
            this.text = text;
        }
        if (format !== undefined) {
            this.format = format;
        }
        if (language !== undefined) {
            this.language = language;
        }
        if (properties !== undefined) {
            for (const key in properties) {
                if (properties[key] !== undefined) {
                    this.properties.set(key, properties[key].toString());
                }
            }
        }
    }
}
//# sourceMappingURL=template-text.js.map